      subroutine warn (msg)

c  generate warning message

      character*(*) msg
      character*79 temp

      temp = 'Warn: '//msg
      call logit (temp)
      call wait (0.5)
      return
      end
